### A free/open-source library for quantitative finance

Public Member Functions
EuropeanExercise Class Reference

European exercise. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for EuropeanExercise:
[legend]

List of all members.

## Public Member Functions

| EuropeanExercise (const Date &date)

## Detailed Description

European exercise.

A European option can only be exercised at one (expiry) date.

Examples:
  ConvertibleBonds.cpp, EquityOption.cpp, and Replication.cpp.